=== debian/changelog ===
augustus (3.2.2+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:10:49 +0000

augustus (3.2.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #819355)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 02 Apr 2016 20:13:40 +0000
