=== auxprogs/homGeneMapping/Makefile ===
#	Makefile for homGeneMapping
#
#	Created: 16-October-2015
#	Last modified: 16-October-2015 by Katharina Hoff (katharina.hoff@gmail.com)

all:
	(cd src; make)

clean:
	(cd src; make clean; cd ../bin; rm -f homGeneMapping; cd ../../../bin; rm -f homGeneMapping)
