=== debian/changelog ===
augustus (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh and drop patches.
  * Adjust excluded files due to upstream source changes.
  * Drop unused overrides.
  * Use man pages provided by upstream.
  * Fix spelling errors.
  * Use debhelper 10.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Dec 2016 10:25:18 +0000

augustus (3.2.2+dfsg-2) unstable; urgency=medium

  * Update uploader email address.
  * Fix manpage option entry.
  * Avoid use of PATH_MAX. This enables building on Hurd.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 25 Sep 2016 13:00:07 +0000
