=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
-Build-Depends: debhelper (>= 9), libsqlite3-dev, libboost-iostreams-dev,
+Uploaders: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 10), libsqlite3-dev, libboost-iostreams-dev,
                zlib1g-dev, libgsl-dev, liblpsolve55-dev,
                libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
                asciidoctor
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git
