=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
.PHONY: bam2hints homGeneMapping checkTargetSortedness joingenes

%:
	dh $@ --parallel

bin:
	mkdir -p bin

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

checkTargetSortedness: bin
	$(MAKE) -C auxprogs/checkTargetSortedness

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping/src clean
	$(MAKE) -C auxprogs/joingenes clean
	rm -rf bin

override_dh_auto_build: bam2hints homGeneMapping checkTargetSortedness joingenes bin
	dh_auto_build
	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/checkTargetSortedness/checkTargetSortedness \
	                 debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
	                 debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial
