=== debian/changelog ===
augustus (3.3+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:09:26 +0000

augustus (3.3+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added registry entries for bio.tools and OMICtools.

  [ Sascha Steinbiss ]
  * Remove explicit dependencies to shared libraries.
    Closes: #869126
  * Make sure dynamic linking is used throughout the package.
    One exception is an executable still using the legacy samtools
    API, for which it links statically against the libbam.a provided
    by libbam-dev. Added a Built-Using entry for that.
    Thanks to Mattia Rizzolo for the hint.
  * Sanitize runtime dependencies.
  * Add missing auxtools to package.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 28 Jul 2017 21:32:29 +0200

augustus (3.3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added RRID (SCR_008417)

  [ Sascha Steinbiss ]
  * New upstream release.
  * Adjust excluded files as upstream chose to include some new binaries.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 17 Jul 2017 19:03:17 +0200
