=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                zlib1g-dev, libgsl-dev, liblpsolve55-dev,
                libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
                asciidoctor
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git
@@ -17,12 +17,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgsl2,
-         zlib1g,
-         augustus-data,
-         libbamtools2.4.0,
-         libhts1,
-         libncurses5
+         augustus-data
+Built-Using: samtools-legacy (= 0.1.19-2)
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic
