=== debian/rules ===
--- 
+++ 
@@ -9,25 +9,42 @@
 bin:
 	mkdir -p bin
 
+aln2wig: bin
+		$(MAKE) -C auxprogs/aln2wig
+
 bam2hints: bin
 	$(MAKE) -C auxprogs/bam2hints
 
-homGeneMapping: bin
-	$(MAKE) -C auxprogs/homGeneMapping/src
+bam2wig: bin
+		$(MAKE) -C auxprogs/bam2wig
 
 checkTargetSortedness: bin
 	$(MAKE) -C auxprogs/checkTargetSortedness
+
+compileSpliceCands: bin
+	$(MAKE) -C auxprogs/compileSpliceCands
+
+filterBam: bin
+	$(MAKE) -C auxprogs/filterBam
+
+homGeneMapping: bin
+	$(MAKE) -C auxprogs/homGeneMapping/src
 
 joingenes: bin
 	$(MAKE) -C auxprogs/joingenes
 
 override_dh_auto_clean:
 	$(MAKE) -C auxprogs/bam2hints clean
-	$(MAKE) -C auxprogs/homGeneMapping/src clean
+	$(MAKE) -C auxprogs/homGeneMapping clean
 	$(MAKE) -C auxprogs/joingenes clean
+	$(MAKE) -C auxprogs/aln2wig clean
+	$(MAKE) -C auxprogs/bam2wig clean
+	$(MAKE) -C auxprogs/checkTargetSortedness clean
+	$(MAKE) -C auxprogs/compileSpliceCands clean
+	$(MAKE) -C auxprogs/filterBam clean
 	rm -rf bin
 
-override_dh_auto_build: bam2hints homGeneMapping checkTargetSortedness joingenes bin
+override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
 	dh_auto_build
 	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc
 
@@ -38,16 +55,22 @@
 	mkdir -p         debian/augustus/usr/bin
 	install bin/*    debian/augustus/usr/bin
 	install auxprogs/checkTargetSortedness/checkTargetSortedness \
-	                 debian/augustus/usr/bin
+                   debian/augustus/usr/bin
+	install auxprogs/bam2wig/bam2wig \
+                   debian/augustus/usr/bin
+	install auxprogs/compileSpliceCands/compileSpliceCands \
+                   debian/augustus/usr/bin
 	install auxprogs/homGeneMapping/src/homGeneMapping \
-	                 debian/augustus/usr/bin
+                   debian/augustus/usr/bin
 	install auxprogs/joingenes/joingenes \
 	                 debian/augustus/usr/bin
 	mkdir -p         debian/augustus/usr/share/augustus
 	cp -r scripts    debian/augustus/usr/share/augustus
 	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
+	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
+	                 debian/augustus/usr/share/augustus/scripts/aln2wig
 	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
-	                 debian/augustus/usr/share/augustus/scripts/*.pl
+	                 debian/augustus/usr/share/augustus/scripts/*.pl*
 	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
 	cp README*       debian/augustus-doc/usr/share/doc/augustus
 	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
