=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://bioinf.uni-greifswald.de/augustus/binaries/augustus-(.*)\.tar\.gz
